
# Unlucky 
Unlucky is a LibGDX Android RPG game based on RNG (random number generator) with a turn-based battle system. RNG is usually frowned upon in games, but this game's entire theme is RNG. Everything from attacks in battle to item enchanting to movement is based on RNG. 
<div>
    <img width="400px" height="240px" hspace="15" src="https://user-images.githubusercontent.com/29984767/44676899-856d7600-aa02-11e8-82ca-897e3ca45092.gif">
    <img width="400px" height="240px" hspace="15" src="https://user-images.githubusercontent.com/29984767/44678123-9e2b5b00-aa05-11e8-93ab-d9d0c693ddfa.gif">
</div>

## About

The player ventures and battles monsters in maps with various themes. Currently there are three available worlds all with 10+ levels in each world. In these maps, the player will have to defeat monsters and find a star tile to complete the level. Monsters may drop items that can improve the player's strength. These items may be sold in the shop for gold or enchanted to increase their power. There are currently 100+ items dropped by monsters and sold in the shop.

The battle system is based on turn-based mechanics. The player is given four randomly generated moves with each color corresponding to a different type of move. The player also has access to special moves that they can choose in the menu. Special moves give bonus effects to the player's attacks or affects the enemy. The player also has an option to run from the battle at a very low chance of success.

## Downloads
Releases for Desktop are found on the [releases page](https://github.com/mingli1/Unlucky/releases). It is in a runnable .jar format so you must have JRE installed. 

Note: running the game on desktop will create a `save.json` file in the same directory as the game. The game must be run in the same directory as the save.json to work and load your progress.

Also available for free on the [Google Play Store](https://play.google.com/store/apps/details?id=com.unlucky.main)

The assets for this game are also available for download:
* [Textures](https://github.com/mingli1/Unlucky/files/2300518/textures.zip) (contains a file `textures.png` that has all the textures in the game mapped into an atlas `textures.atlas`)
* [Skins](https://github.com/mingli1/Unlucky/files/2300523/skins.zip) (contains LibGDX Skins of the game)
* [Music](https://github.com/mingli1/Unlucky/files/2300525/music.zip) (all music in the game in `.ogg` format)
* [Sound Effects](https://github.com/mingli1/Unlucky/files/2300530/sfx.zip) (all sfx in the game mostly in `.ogg` format)

## Credits
* Programming - done by me using Java 8 and the [LibGDX library](https://libgdx.badlogicgames.com/)
* Artwork - done by me using [Paint.net](https://www.getpaint.net/) and textures packed using [Gdx Texture Packer GUI](https://github.com/crashinvaders/gdx-texture-packer-gui)
* Music - done by me using [Bosca Cecilo](https://boscaceoil.net/)
* Sound Effects - all sound effects are under [CC0](https://creativecommons.org/share-your-work/public-domain/cc0/) from [Freesound](https://freesound.org/) and edited by me using [Audacity](https://www.audacityteam.org/)

## License
This project is licensed under the [MIT License](https://github.com/mingli1/Unlucky/blob/master/LICENSE).

## Screenshots
<div>
    <img width="400px" height="240px" hspace="15" src="https://user-images.githubusercontent.com/29984767/42198355-8515a9ee-7e55-11e8-9c5a-9b85f8211ac4.PNG">
    <img width="400px" height="240px" hspace="15" src="https://user-images.githubusercontent.com/29984767/42197174-8c740a06-7e4f-11e8-9280-21c1850ceb48.PNG">
</div>
<div>
    <img width="400px" height="240px" hspace="15" src="https://user-images.githubusercontent.com/29984767/42197176-912aed08-7e4f-11e8-8754-b4889dfb540f.PNG">
    <img width="400px" height="240px" hspace="15" src="https://user-images.githubusercontent.com/29984767/42197178-932f6f20-7e4f-11e8-9c49-6e4108ee0c26.PNG">
</div>
<div>
    <img width="400px" height="240px" hspace="15" src="https://user-images.githubusercontent.com/29984767/42197185-97c8b802-7e4f-11e8-879d-605d42c9260e.PNG">
    <img width="400px" height="240px" hspace="15" src="https://user-images.githubusercontent.com/29984767/42197189-9b425a06-7e4f-11e8-8e76-d7c3de9c2a28.PNG">
</div>
<div>
    <img width="400px" height="240px" hspace="15" src="https://user-images.githubusercontent.com/29984767/42197192-9db252c8-7e4f-11e8-80c5-4812fa018eae.PNG">
</div>
